## LassoDiscoServiceInstance LassoDiscoServiceInstance — <disco:ServiceInstanceType> |

## Functions

LassoDiscoServiceInstance * | lasso_disco_service_instance_copy ()
LassoDiscoServiceInstance * | lasso_disco_service_instance_new ()

## Types and Values

struct | LassoDiscoServiceInstance

## Description

Figure 116. Schema fragment for disco:ServiceInstanceType

    <xs:complexType name="ServiceInstanceType">
      <xs:sequence>
        <xs:element ref="ServiceType"/>
        <xs:element name="ProviderID" type="md:entityIDType"/>
        <xs:element name="Description" type="DescriptionType" minOccurs="1" maxOccurs="unbounded"/>
      </xs:sequence>
    </xs:complexType>

    <xs:element name="ServiceType" type="xs:anyURI"/>

## Functions

### lasso_disco_service_instance_copy ()

    LassoDiscoServiceInstance *
    lasso_disco_service_instance_copy (LassoDiscoServiceInstance *serviceInstance);

### lasso_disco_service_instance_new ()

    LassoDiscoServiceInstance *
    lasso_disco_service_instance_new (const gchar *serviceType,
                                      const gchar *providerID,
                                      LassoDiscoDescription *description);

## Types and Values

### struct LassoDiscoServiceInstance

    struct LassoDiscoServiceInstance {
    	LassoNode parent;

    	char *ServiceType;
    	char *ProviderID;
    	GList *Description; /* of LassoNode */
    };